
/* Chrysalide - Outil d'analyse de fichiers binaires
 * context.h - prototypes internes liés aux contextes de décodage DEX
 *
 * Copyright (C) 2015-2017 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  Chrysalide is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Chrysalide is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef _FORMAT_MANGLING_DEX_CONTEXT_H
#define _FORMAT_MANGLING_DEX_CONTEXT_H


#include <glib-object.h>



#define G_TYPE_DEX_DEMANGLER               g_dex_demangler_get_type()
#define G_DEX_DEMANGLER(obj)               (G_TYPE_CHECK_INSTANCE_CAST((obj), g_dex_demangler_get_type(), GDexDemangler))
#define G_IS_DEX_DEMANGLER(obj)            (G_TYPE_CHECK_INSTANCE_TYPE((obj), g_dex_demangler_get_type()))
#define G_DEX_DEMANGLER_CLASS(klass)       (G_TYPE_CHECK_CLASS_CAST((klass), G_TYPE_DEX_DEMANGLER, GDexDemanglerClass))
#define G_IS_DEX_DEMANGLER_CLASS(klass)    (G_TYPE_CHECK_CLASS_TYPE((klass), G_TYPE_DEX_DEMANGLER))
#define G_DEX_DEMANGLER_GET_CLASS(obj)     (G_TYPE_INSTANCE_GET_CLASS((obj), G_TYPE_DEX_DEMANGLER, GDexDemanglerClass))


/* Contexte de décodage DEX (instance) */
typedef struct _GDexDemangler GDexDemangler;

/* Contexte de décodage DEX (classe) */
typedef struct _GDexDemanglerClass GDexDemanglerClass;


/* Indique le type défini pour un contexte de décodage DEX. */
GType g_dex_demangler_get_type(void);



#endif  /* _FORMAT_MANGLING_DEX_CONTEXT_H */
